<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>angular-frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">angular-frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li
  >
  LandingComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>projects/projects-app-ang/src/app/components/landing/landing.component.ts</code>
</p>




    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-landing</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./landing.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./landing.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit" >ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(pageService: <a href="../injectables/PageService.html" target="_self">PageService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="10" class="link-to-prism">projects/projects-app-ang/src/app/components/landing/landing.component.ts:10</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Boolean checking if main stuff shall be visible</p>
</div>
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>pageService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/PageService.html" target="_self" >PageService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <span ><b>ngOnInit</b></span>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="22"
                            class="link-to-prism">projects/projects-app-ang/src/app/components/landing/landing.component.ts:22</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { PageService } from &#x27;../../page.service&#x27;;

@Component({
  selector: &#x27;app-landing&#x27;,
  templateUrl: &#x27;./landing.component.html&#x27;,
  styleUrls: [&#x27;./landing.component.css&#x27;]
})

export class LandingComponent implements OnInit {

    /** 
     * Boolean checking if main stuff shall be visible
     */

    constructor(private pageService: PageService) {
      this.pageService.setIsLandingPage(true);
      this.pageService.setIsMainPage(false);
    }
  

  ngOnInit(): void {
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;head&gt;
	&lt;title&gt;Example&lt;/title&gt;
	&lt;style&gt;
		body {
			background-image: url(&#x27;your-image-url.jpg&#x27;);
			background-repeat: no-repeat;
			background-size: cover;
			background-position: center;
			color: white;
			font-family: Arial, sans-serif;
			text-align: center;
			padding: 100px 0;
		}
		h1, p {
			margin: 0;
			padding: 0;

		}
        a {
            color: white;
            text-decoration: underline;
            font-size: 18px;
            font-weight: bold;
            margin-right: 20px;
        }
        button {
            background-color: #5F9EA0;
            border: none;
            color: white;
            padding: 10px 20px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
            margin-top: 20px;
            border-radius: 5px;
            cursor: pointer;
        }
        button:hover {
            background-color: #4682B4;
        }
        
	&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
	&lt;h1&gt;Jarves&lt;/h1&gt;
	&lt;p&gt;Lassen Sie sich durch den digitalen Assistenten Jarves bei Ihrem Forschungsdatenmanagement unterstützen. Benutzen Sie einfach Ihren Orcid Account zur Authetifizierung. 
        &lt;a href&#x3D;&quot;https://www.ub.rwth-aachen.de/cms/ub/Bibliothek/Aktuell/Aktuelle-Meldungen/~sgtj/ORCID-die-Open-Researcher-and-Contribu/&quot;&gt;
            &lt;img src&#x3D;&quot;../../assets/images/question-mark-button.png&quot; alt&#x3D;&quot;DFG-Logo&quot; style&#x3D;&quot;height: 1rem; width: auto&quot;&gt;
      &lt;/a&gt;
    &lt;/p&gt;
    &lt;a href&#x3D;&quot;https://orcid.org/signin?client_id&#x3D;APP-Z56EMJ9MO0N4UTG1&amp;redirect_uri&#x3D;https:%2F%2F127.0.0.1:8000%2Faccounts%2Forcid%2Flogin%2Fcallback%2F&amp;scope&#x3D;%2Fauthenticate&amp;response_type&#x3D;code&amp;state&#x3D;QfPHRTAPVZWs&quot;&gt;
        &lt;!--&lt;a href&#x3D;&quot;https://127.0.0.1:8000/accounts/orcid/login/?process&#x3D;login&quot;&gt;&lt;/a&gt;--&gt;
    &lt;/a&gt;
    &lt;button nbButton status&#x3D;&quot;info&quot;&gt;Login mit Orcid&lt;/button&gt; 
        

&lt;/body&gt;
&lt;br&gt;
&lt;br&gt;
&lt;h5&gt;Willkommen bei Jarves&lt;/h5&gt;
&lt;p&gt;
Forschende der Ingenieurwissenschaften erhalten mit dieser Webanwendung digitalen Assistenten für Ihr Datenmanagement. Dabei können schon bestehende Anwendungen der NFDI4Ing, wie beispielsweise RDMO, angebunden werden. Nach dem Login und einmaliger Freischaltung Ihres DFN-Accounts, können Sie Ihr Projekt starten und durch Jarves betreuen lassen.
&lt;/p&gt;
&lt;br&gt;
&lt;br&gt;
&lt;h6&gt;Wir freuen uns über Ihr Feedback&lt;/h6&gt;
&lt;p&gt;jarves@nfdi4ing.de&lt;/p&gt;
&lt;br&gt;
&lt;br&gt;
&lt;br&gt;
&lt;br&gt;
&lt;p&gt;Wartungsfenster: Dienstags 6:30-8:30. Die Software stammt von dem NFDI4Ing. NFDI4Ing wird gefördert durch die DFG unter Projektnummer 442146713&lt;/p&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./landing.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss"></code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!DOCTYPE html><html><head>	<title>Example</title>	<style>		body {			background-image: url(\'your-image-url.jpg\');			background-repeat: no-repeat;			background-size: cover;			background-position: center;			color: white;			font-family: Arial, sans-serif;			text-align: center;			padding: 100px 0;		}		h1, p {			margin: 0;			padding: 0;		}        a {            color: white;            text-decoration: underline;            font-size: 18px;            font-weight: bold;            margin-right: 20px;        }        button {            background-color: #5F9EA0;            border: none;            color: white;            padding: 10px 20px;            text-align: center;            text-decoration: none;            display: inline-block;            font-size: 16px;            margin-top: 20px;            border-radius: 5px;            cursor: pointer;        }        button:hover {            background-color: #4682B4;        }        	</style></head><body>	<h1>Jarves</h1>	<p>Lassen Sie sich durch den digitalen Assistenten Jarves bei Ihrem Forschungsdatenmanagement unterstützen. Benutzen Sie einfach Ihren Orcid Account zur Authetifizierung.         <a href="https://www.ub.rwth-aachen.de/cms/ub/Bibliothek/Aktuell/Aktuelle-Meldungen/~sgtj/ORCID-die-Open-Researcher-and-Contribu/">            <img src="../../assets/images/question-mark-button.png" alt="DFG-Logo" style="height: 1rem; width: auto">      </a>    </p>    <a href="https://orcid.org/signin?client_id=APP-Z56EMJ9MO0N4UTG1&redirect_uri=https:%2F%2F127.0.0.1:8000%2Faccounts%2Forcid%2Flogin%2Fcallback%2F&scope=%2Fauthenticate&response_type=code&state=QfPHRTAPVZWs">        <!--<a href="https://127.0.0.1:8000/accounts/orcid/login/?process=login"></a>-->    </a>    <button nbButton status="info">Login mit Orcid</button>         </body><br><br><h5>Willkommen bei Jarves</h5><p>Forschende der Ingenieurwissenschaften erhalten mit dieser Webanwendung digitalen Assistenten für Ihr Datenmanagement. Dabei können schon bestehende Anwendungen der NFDI4Ing, wie beispielsweise RDMO, angebunden werden. Nach dem Login und einmaliger Freischaltung Ihres DFN-Accounts, können Sie Ihr Projekt starten und durch Jarves betreuen lassen.</p><br><br><h6>Wir freuen uns über Ihr Feedback</h6><p>jarves@nfdi4ing.de</p><br><br><br><br><p>Wartungsfenster: Dienstags 6:30-8:30. Die Software stammt von dem NFDI4Ing. NFDI4Ing wird gefördert durch die DFG unter Projektnummer 442146713</p></div>'
    var COMPONENTS = [{'name': 'AddProjectComponent', 'selector': 'app-add-project'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AuthComponent', 'selector': 'app-auth'},{'name': 'CAbschlussComponent', 'selector': 'app-c-abschluss'},{'name': 'CAccountComponent', 'selector': 'app-c-account'},{'name': 'CAnalyseComponent', 'selector': 'app-c-analyse'},{'name': 'CArchivierungComponent', 'selector': 'app-c-archivierung'},{'name': 'CBarComponent', 'selector': 'app-c-bar'},{'name': 'CDurchfuehrungComponent', 'selector': 'app-c-durchfuehrung'},{'name': 'CErhebungComponent', 'selector': 'app-c-erhebung'},{'name': 'CExitComponent', 'selector': 'app-c-exit'},{'name': 'CHomeComponent', 'selector': 'app-c-home'},{'name': 'CLandingComponent', 'selector': 'app-c-landing'},{'name': 'CLanguageComponent', 'selector': 'app-c-language'},{'name': 'CNachzutzungComponent', 'selector': 'app-c-nachzutzung'},{'name': 'CPlanungComponent', 'selector': 'app-c-planung'},{'name': 'CProjectsTableComponent', 'selector': 'app-c-projects-table'},{'name': 'CVorbereitungComponent', 'selector': 'app-c-vorbereitung'},{'name': 'CZugangComponent', 'selector': 'app-c-zugang'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LogoutComponent', 'selector': 'app-logout'},{'name': 'MainComponent', 'selector': 'app-main'},{'name': 'MessagesComponent', 'selector': 'app-messages'},{'name': 'MHeaderComponent', 'selector': 'app-m-header'},{'name': 'MyProjectComponent', 'selector': 'app-my-project'},{'name': 'NgxLoginComponent', 'selector': 'ngx-login'},{'name': 'ProjectDetailsComponent', 'selector': 'app-project-details'},{'name': 'ProjectsListComponent', 'selector': 'app-projects-list'},{'name': 'ProjectsMaterialTableComponent', 'selector': 'app-projects-material-table'},{'name': 'RegisterComponent', 'selector': 'app-register'},{'name': 'RequestPasswordComponent', 'selector': 'app-request-password'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'LandingComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'LandingComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
